bdi4jade.extension.planselection.utilitybased

## Class PlanContribution

- java.lang.Object
- - bdi4jade.extension.planselection.utilitybased.PlanContribution

-     public class PlanContribution
      extends java.lang.Object

  This class stores the probability of a plan promoting a value with respect to a softgoal.
  Author:
    Ingrid Nunes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `METADATA_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlanContribution(Softgoal softgoal)`
    `PlanContribution(Softgoal softgoal, java.lang.Double probability, java.lang.Double value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getProbability()`
    `Softgoal` | `getSoftgoal()`
    `java.lang.Double` | `getValue()`
    `void` | `setProbability(java.lang.Double probability)`
    `void` | `setValue(java.lang.Double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### METADATA_NAME

          public static final java.lang.String METADATA_NAME

  - ### Constructor Detail

    - #### PlanContribution

          public PlanContribution(Softgoal softgoal)

    - #### PlanContribution

          public PlanContribution(Softgoal softgoal,
                                  java.lang.Double probability,
                                  java.lang.Double value)

  - ### Method Detail

    - #### getProbability

          public java.lang.Double getProbability()

      Returns:
        the probability

    - #### getSoftgoal

          public Softgoal getSoftgoal()

      Returns:
        the softgoal

    - #### getValue

          public java.lang.Double getValue()

      Returns:
        the value

    - #### setProbability

          public void setProbability(java.lang.Double probability)

      Parameters:
        `probability` - the probability to set

    - #### setValue

          public void setValue(java.lang.Double value)

      Parameters:
        `value` - the value to set